from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComThrdMed(UltmarcTable):
    """レイアウト区分122: COM_医療圏3次マスタ"""
    pref_code: str           # 都道府県コード
    thrd_cd: str             # 3次コード
    thrd_med_sphe_name: str  # 3次医療圏名称
    maintflag: str           # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.pref_code = record[1]
        self.thrd_cd = record[2]
        self.maintflag = record[3]
        self.thrd_med_sphe_name = record[6]
